solarOSsolarOS Docs

Update an API-authored Activity

Only the API key that created an Activity can update it, including repairing the stored Team Member author. Required scope: activities:write.

PATCH
/activities/{id}

Only the API key that created an Activity can update it, including repairing the stored Team Member author. Required scope: activities:write.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Activity identifier returned by the Organization API.

Request Body

application/json

JSON request payload for updateActivity.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/activities/string" \  -H "Content-Type: application/json" \  -d '{    "content": "Customer requested a battery backup option.",    "isPinned": true  }'
{  "data": {},  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}